Status: Closed Start date: 2010-07-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

The forum message permalinks (i.e. what the "title" of the message (mostly "Re: Original title") points to) doesn't take into account

pagination, i.e. messages not on the first page still point to /boards/:board_id/topics/:topic_id#message-:message_id, which will take

you to the first page, but not to the right message.

One solution would be to make all those links like this /boards/:board_id/topics/:topic_id?r=:message_id#message-:message_id,

which would take you to the right page each time, or add a parameter for the right page. The problem with the second solution is that

it breaks if the pagination size is change at some point, the first solution might be a little more resource-hungry, and especially will

reload the page each time you click on one of the permalinks on the page. That shouldn't happen too often though, so I'd favor the

first solution more.

One thing that should also be thought out is if we the retain the AJAX pagination on the topics view, or if it should load a whole new

page with the ?r=:id_of_the_first_message_on_the_next_page parameter.

An example of this behavior can be observed here: http://orga.fachschaften.org/boards/1/topics/31#message-58 doesn't take you to

the correct message, http://orga.fachschaften.org/boards/1/topics/31?r=58#message-58 does.

Associated revisions

Revision 3877 - 2010-07-25 12:02 - Jean-Philippe Lang

Fixed: Forum message permalinks don't take pagination into account (#5945).

History

#1 - 2010-07-23 09:59 - Felix Schäfer

- Affected version (unused) set to devel

#2 - 2010-07-25 12:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.0.1

- Resolution set to Fixed

Fixed in r3877.
